Bug 107143 - Add Delete All Comments (for the current sheet) in Calc
Summary: Add Delete All Comments (for the current sheet) in Calc
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Gülşah Köse
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks: UNO-Command Calc-Comments
  Show dependency treegraph
 
Reported: 2017-04-13 14:13 UTC by Timur
Modified: 2017-11-15 08:24 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
protected sheet with unprotected comments.ods (10.80 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-04-28 17:09 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2017-04-13 14:13:25 UTC
It would be nice to have "Delete All Comments" (UNO?) in Calc that would be under menu Sheet ▸ Cell Comment ▸ Delete All Comments.
That's requested in Bug 84837. 
Delete (all) comments can be done via Sheet-Clear Cells by selecting all cells and leaving only comments ticked, but that's not practical, so this enhancement.
Comment 1 m.a.riosv 2017-04-14 13:27:19 UTC
I agree, but perhaps for 'selected sheets' that it how works the other options.
Comment 2 Yousuf Philips (jay) 2017-04-15 17:44:26 UTC
Would be a useful command but not one for inclusion in the menus, especially not in the Cell Comment submenu as that submenu is to only have comment related commands for a single cell, and also when the functionality is already available in Sheet > Clear Cells.
Comment 3 Gülşah Köse 2017-04-20 07:36:15 UTC
https://gerrit.libreoffice.org/#/c/36623/ Code review needed
Comment 4 Commit Notification 2017-04-20 14:00:34 UTC
Gulsah Kose committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=38ba5bfa215231f5937abebafd075a58c227e7ca

tdf#107143 Add delete all comments command.

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Eike Rathke 2017-04-20 14:19:05 UTC
(In reply to Yousuf Philips (jay) from comment #2)
> Would be a useful command but not one for inclusion in the menus,
How is the user supposed to find and use it then?

> not in the Cell Comment submenu as that submenu is to only have comment
> related commands for a single cell, and also when the functionality is
> already available in Sheet > Clear Cells.

With enhancement bug 84837 we also added View All Comments and Hide All Comments under Sheet -> Cell Comment, which you want under View instead. So where to place Delete All Comment then?
Comment 6 Yousuf Philips (jay) 2017-04-20 20:19:22 UTC
(In reply to Eike Rathke from comment #5)
> How is the user supposed to find and use it then?

The single toggle show/hide entry would be in the View menu (bug 107258).

> With enhancement bug 84837 we also added View All Comments and Hide All
> Comments under Sheet -> Cell Comment, which you want under View instead. So
> where to place Delete All Comment then?

Its fine there as long as we rename 'Cell Comment' to 'Cell Comments'.
Comment 7 Timur 2017-04-28 17:09:47 UTC
Created attachment 132944 [details]
protected sheet with unprotected comments.ods

OK, now exists Sheet ▸ Cell Comments ▸ Delete All Comments and it works (for usual unprotected sheets).
I find this menu command enough and I don't see a need for an icon in the menu. 

It doesn't work on protected sheet with comments in unprotected cells. There is somewhat related bug 95883. 
Should this be dealt with there or here?
Comment 8 Yousuf Philips (jay) 2017-04-28 23:56:53 UTC
(In reply to Timur from comment #7)
> OK, now exists Sheet ▸ Cell Comments ▸ Delete All Comments and it works (for
> usual unprotected sheets).
> I find this menu command enough and I don't see a need for an icon in the
> menu. 

Yes an icon isnt needed

> It doesn't work on protected sheet with comments in unprotected cells. There
> is somewhat related bug 95883. 
> Should this be dealt with there or here?

There as each bug should deal with a single issue.
Comment 9 Arnold Ejiofor 2017-11-15 08:24:41 UTC Comment hidden (spam)